ユーザー

サブスクリプションを取得

GET /v1/users/{screen_name}/subscriptions reads 2 クレジット

アカウントがサブスクライブしているクリエイター。User 参照として。

クエリパラメータ

クエリパラメータ型意味
countint 1–100 = 20要求するページサイズ。X はヒントとして扱います
cursorstring前のページの next_cursor から

レスポンス

アカウント、User 参照の 1 ページ、カーソル (終端では null)。サブスクリプションを非公開にしているアカウントは空のページになります。 フィールドごとの説明: User 参照.

ステータス: 200, 400, 404, 429, 502

リクエスト
curl https://api.xsignalfeed.com/v1/users/cb_doge/subscriptions?count=20 \
  -H "Authorization: Bearer xsf_your_key"
レスポンス · 200 / 400
{
  "user": {
    "id": "1389913567671975937",
    "screen_name": "cb_doge"
  },
  "users": [
    {
      "id": "44196397",
      "screen_name": "elonmusk",
      "name": "Elon Musk"
    },
    {
      "id": "…",
      "screen_name": "…",
      "name": "…"
    }
  ],
  "next_cursor": null
}